Subject: [mpls] Re: Regarding mplsTunnelTable (Aryan Thakkar)

From: "Josdeyvi Russi" <[email-masked]>
Date: Tue, 17 Jan 2006 10:34:14 -0200

>  Hi,
Hi,
>
>  I am new to SNMP/MPLS Tech. I want to know answers
>  to
>  certain questions:
>
>  1)I have gone through RFC 3812/3813 MIB, with
>  respect
>  to that I want to know that when we create an LSP,
>  how
>  can the hops of the LSPs be defined? That means
>  could
>  we define the hops of the LSP as per our wish or is
>  it
>  going to be decided by any default mechanism?

Yes, we can define the LSP as we wish or by means of an automatic way (using
LDP, for example). The MIB has extensions for all these cases.
I have created a SNMP agent for MPLS for Linux that right now allows the
creation of LSP in a hop-by-hop way, by hand. I will publish this agent at
Source Forge this up to this weekend. It follows MIB MPLS-LSR and MIB
MPLS-FTN. I do not finish the MIB MPLS-TE.
It will be great if someone continues this work and creates the support to
LDP and MIB MPLS-TE.

>
> 2)Also does a mplsXCTable support multiple push and
>  pop operations or does it support only swapping?
>
Yes, the MIB does support, and the SNMP agent I mentioned too.

> 3)Does a core router contain any info regarding LSP
>  ID
>  of any Tunnel?
?

>
>  Please do reply soon.
>
>  Regards,
> Aryan T.
>
> >
> >
> >
> > Send instant messages to your online friends
> > http://in.messenger.yahoo.com
> >
>
>
> Send instant messages to your online friends http://in.messenger.yahoo.com
>
>
>
> ------------------------------
>
> Message: 2
> Date: Mon, 16 Jan 2006 08:32:01 +0000 (GMT)
> From: Aryan Thakkar <[email-masked]>
> Subject: [mpls] Regarding mplsTunnelTable
> To: [email-masked]
> Message-ID: <[email-masked]>
> Content-Type: text/plain; charset=iso-8859-1
>
> Hi,
>
> I am new to SNMP/MPLS Tech. I want to know answers to
> certain questions:
>
> 1)I have gone through RFC 3812/3813 MIB, with respect
> to that I want to know that when we create an LSP, how
> can the hops of the LSPs be defined? That means could
> we define the hops of the LSP as per our wish or is it
> going to be decided by any default mechanism?
>
> 2)Also does a mplsXCTable support multiple push and
> pop operations or does it support only swapping?
>
> 3)Does a core router contain any info regarding LSP ID
> of any Tunnel?
>
> Please do reply soon.
>
> Regards,
> Aryan T.
>
>
>
>
> Send instant messages to your online friends http://in.messenger.yahoo.com
>
>
>
> ------------------------------
>
> Message: 3
> Date: Mon, 16 Jan 2006 11:08:03 +0100
> From: Loa Andersson <[email-masked]>
> Subject: [mpls] The IPR situation for the upstream label allocation
> To: [email-masked]
> Message-ID: <[email-masked]>
> Content-Type: text/plain; charset=ISO-8859-1; format=flowed
>
> All,
>
> at the meetings in Paris and Vancouver the working group
> discussed MPLS multicast and as part of this also drafts
> that suggested that we use upstream label allocation for
> MPLS multicast.
>
> The drafts are:
>
>    draft-raggarwa-mpls-ldp-upstream-00
>    draft-raggarwa-mpls-rsvp-upstream-00
>    draft-raggarwa-mpls-upstream-label-01
>    draft-rosen-mpls-multicast-encaps-01
>
> The authors asked that they were made working group documents.
> There were a good to strong support for making them working
> group documents, but is it was pointed out that there were
> non-disclosed IPRs on upstream label allocation.
>
> This made the situation unclear.
>
> Since then we have notified the IETF secretariat and the Routing
> Area Directors on the situation on the IPRs. We have no
> indication that the existing IPRs will be a problem to progress
> a standard in this area. As far as we can see all the relevant
> IPRs has been publicly disclosed to the IETF.
>
> We will therefor shortly in separate mails re-initiate the call
> for consensus to make the four drafts above working group
> documents.
>
> Loa and George
>
> -- 
> Loa Andersson
>
> Principal Networking Architect
> Acreo AB                           phone:  +46 8 632 77 14
> Isafjordsgatan 22                  mobile: +46 739 81 21 64
> Kista, Sweden                      email:  [email-masked]
>                                             [email-masked]
>
>
>
> ------------------------------
>
> _______________________________________________
> mpls mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/mpls
>
>
> End of mpls Digest, Vol 21, Issue 6
> ***********************************

_______________________________________________
mpls mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mpls